org.bouncycastle.pqc.crypto.slhdsa

## Class SLHDSAEngine

- java.lang.Object
- - org.bouncycastle.pqc.crypto.slhdsa.SLHDSAEngine

- Direct Known Subclasses:
    SLHDSAEngine.Sha2Engine, SLHDSAEngine.Shake256Engine

  Deprecated.
  use org.bouncycastle.crypto.signers.slhdsa.SLHDSASigner

      @Deprecated
      public abstract class SLHDSAEngine
      extends java.lang.Object

  SLH-DSA signer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SLHDSAEngine.Sha2Engine` Deprecated.
    `static class` | `SLHDSAEngine.Shake256Engine` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SLHDSAEngine(int n, int w, int d, int a, int k, int h)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsymmetricCipherKeyPair` | `implGenerateKeyPair(SLHDSAParameters params, byte[] skSeed, byte[] skPrf, byte[] pkSeed)` Deprecated.
    `static byte[]` | `internalGenerateSignature(SLHDSAPrivateKeyParameters privKey, byte[] msgPrefix, byte[] msg, byte[] optRand)` Deprecated.
    `static boolean` | `internalVerifySignature(SLHDSAPublicKeyParameters pubKey, byte[] msgPrefix, byte[] msg, byte[] signature)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLHDSAEngine

          protected SLHDSAEngine(int n,
                                 int w,
                                 int d,
                                 int a,
                                 int k,
                                 int h)

      Deprecated.

  - ### Method Detail

    - #### implGenerateKeyPair

          public static AsymmetricCipherKeyPair implGenerateKeyPair(SLHDSAParameters params,
                                                                    byte[] skSeed,
                                                                    byte[] skPrf,
                                                                    byte[] pkSeed)

      Deprecated.

    - #### internalVerifySignature

          public static boolean internalVerifySignature(SLHDSAPublicKeyParameters pubKey,
                                                        byte[] msgPrefix,
                                                        byte[] msg,
                                                        byte[] signature)

      Deprecated.

    - #### internalGenerateSignature

          public static byte[] internalGenerateSignature(SLHDSAPrivateKeyParameters privKey,
                                                         byte[] msgPrefix,
                                                         byte[] msg,
                                                         byte[] optRand)

      Deprecated.